import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { AuthenticationService } from './../../services/authentication.service';
import { SharePointService } from './../../../sharepoint/services/sharepoint.service';
export declare class LoginFormComponent implements OnInit {
    dialogRef: MatDialogRef<LoginFormComponent>;
    private sharePointService;
    authenticationService: AuthenticationService;
    data: any;
    username: string;
    password: string;
    adminGroup: string;
    loginError: boolean;
    constructor(dialogRef: MatDialogRef<LoginFormComponent>, sharePointService: SharePointService, authenticationService: AuthenticationService, data: any);
    ngOnInit(): void;
    authenticate(): void;
}
