import { ModuleWithProviders } from '@angular/core';
import { EmployeeServiceConfig } from './model/employee.service.config';
export * from './model/employee.service.config';
export * from './model/employee';
export * from './services/employee.service';
export * from './pipes/departments.pipe';
export * from './pipes/employee-by-dn.pipe';
export * from './pipes/employee-photo-url.pipe';
export * from './pipes/employees-with-property-value.pipe';
export * from './pipes/filter-employees.pipe';
export * from './pipes/is-member-of.pipe';
export * from './pipes/sort-employees.pipe';
export declare class EmployeeModule {
    static forRoot(employeeConfig: EmployeeServiceConfig): ModuleWithProviders;
    constructor(parentModule: EmployeeModule);
}
