import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { UploadService } from './../../services/upload.service';
export declare class UploadDialogComponent implements OnInit {
    dialogRef: MatDialogRef<UploadDialogComponent>;
    uploadService: UploadService;
    file: any;
    files: Set<File>;
    existingFileConflict: string;
    progress: any;
    canBeClosed: boolean;
    primaryButtonText: string;
    showCancelButton: boolean;
    uploading: boolean;
    uploadSuccessful: boolean;
    uploadDialogTitle: string;
    uploadDialogAddFilesButtonText: string;
    uploadDialogCancelButtonText: string;
    uploadDialogUploadButtonText: string;
    uploadDialogFinishButtonText: string;
    constructor(dialogRef: MatDialogRef<UploadDialogComponent>, uploadService: UploadService);
    ngOnInit(): void;
    addFiles(): void;
    onFilesAdded(): void;
    closeDialog(): void;
}
